// joi/1/estore/Item.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
/**
 * An Item models an object that might be stocked in a store.
 * Each Item has a cost.
 *
 * @version 1
 */

public class Item
{
    private int cost;

    /**
     *  Construct an Item object.
     *
     *  @param itemCost the cost of this Item.
     */

    public Item( int itemCost ) 
    {
	cost = itemCost;
    }

    /** 
     * How much does this Item cost?
     * 
     * @return the cost.
     */

    public int getCost() 
    {
	return cost;
    }
}
