// joi/10/juno/JFileNotFoundException.java (version 10)                         
//                                                            
//                                                            
// Copyright 1997-2001 Ethan Bolker and Bill Campbell                         
                                                            
/**
 * The Exception thrown when a JFile isn't found
 *
 * @version 10 
 */

class JFileNotFoundException extends JunoException 
{
    String jfilename;

    /**
     * Construct a new JFileNotFoundException 
     *
     * @param jfilename the file sought
     */

    public JFileNotFoundException( String jfilename )
    {
        super( "JFile " + jfilename + " not found." );
        this.jfilename = jfilename;
    }

    /**
     * Get the name of the file that wasn't there.
     *
     * @return the file name
     */

    public String getJFilename() 
    {
        return jfilename;
    }
}
