// joi/10/juno/NewfileCommand.java                         
//                                                            
//                                                            
// Copyright 2003, Bill Campbell and Ethan Bolker                         
                                                            
import java.util.*;

/**
 * The Juno shell command to create a text file.
 * Usage:
 * <pre>
 *     newfile filename contents
 * </pre>
 *
 * @version 10
 */

public class NewfileCommand extends ShellCommand 
{
    NewfileCommand() 
    {
	super( "create a new TextFile", "filename contents" );
    }

    /**
     * Create a new TextFile in the current Directory.
     *
     * @param args the remainder of the command line.
     * @param sh the current shell.
     *
     * @exception JunoException for reporting errors
     */

    public void doIt( StringTokenizer args, Shell sh )
	 throws JunoException  
    {
	String filename;
        String contents;
	filename = args.nextToken();
	contents  = args.nextToken("").trim(); // rest of line
        new TextFile( filename, sh.getUser(),
		      sh.getDot(), contents );
    }
}
