// joi/10/juno/OutputInterface.java                         
//                                                            
//                                                            
// Copyright 2003 Ethan Bolker and Bill Campbell                         
                                                            
/**
 *  All Juno consoles use the same abstract methods 
 *  for output, so they are specified here. 
 */

public interface OutputInterface 
{
    /**
     * Write a String followed by a newline
     * to console output location.
     *
     * @param str - the string to write
     */

    public void println(String str );
    
    /**
     * Write a String followed by a newline
     * to console error output location.
     *
     * @param str - the String to write
     */

    public void errPrintln( String str );
    
    /**
     * Query what kind of console this is.
     *
     * @return true if and only if echoing input.
     */

    public boolean isEchoInput();
    
    /**
     * Query what kind of console this is.
     *
     * @return true if and only if GUI
     */

    public boolean isGUI();

    /**
     * Query what kind of console this is.
     *
     * @return true if and only if remote
     */

    public boolean isRemote();
}

