// joi/2/linear/Temperatures.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
/**
 * Temperature conversion program, 
 * for exercising LinearEquation objects.
 *
 * @version 2
 */

public class Temperatures
{
    /**
     * First a hardcoded test of Celsius-Fahrenheit conversion,
     * then a loop allowing the user to test interactively.
     */

    public static void main( String[] args )
    {
        Terminal terminal = new Terminal();

        // create a Celsius to Fahrenheit converter
        LinearEquation c2f = new LinearEquation( 9.0/5.0, 32.0 );
        
        // ask it to tell us its inverse, for F to C
        LinearEquation f2c = c2f.getInverse();
        
        ///////////////////////////////////////////////////
        // Testing style 1: Hard coded, self-documenting //
        ///////////////////////////////////////////////////

        terminal.println( "Hard coded self documenting tests:" );
        terminal.print( "c2f.compute( 0.0 ), should see 32.0: "); 
        terminal.println( c2f.compute( 0.0 ) );
        terminal.print( "f2c.compute( 212.0 ), should see 100.0: ");
        terminal.println( f2c.compute( 212.0 ) );
        
        //////////////////////////////////
        // Testing style 2: Interactive //
        //////////////////////////////////
   
        terminal.println();
        terminal.println( "Interactive tests:" );
        while ( terminal.readYesOrNo("more?") ) {
            double degreesCelsius  = 
                terminal.readDouble( "Celsius: " );
            terminal.println(" = " 
                             + c2f.compute( degreesCelsius ) 
                             + " degrees Fahrenheit" );
            double degreesFahrenheit  = 
                terminal.readDouble( "degrees Fahrenheit: " );
            terminal.println(" = "
                             + f2c.compute( degreesFahrenheit ) 
                             + " degrees Celsius" );
        }
    }
}
