// joi/5/bank/RegularAccount.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
/**
 * A RegularAccount is a BankAccount that has no special behavior.
 * 
 * It does what a BankAccount does.
 */

public class RegularAccount extends BankAccount 
{

    /**
     * Construct a BankAccount with the given initial balance and
     * issuing Bank. Construction counts as this BankAccount's
     * first transaction.
     *
     * @param initialBalance the opening balance.
     * @param issuingBank the bank that issued this account.
     */

    public RegularAccount( int initialBalance, Bank issuingBank ) 
    {
	super( initialBalance, issuingBank );
    }

    /**
     * Action to take when a new month starts.
     *
     * A RegularAccount does nothing when the next month starts.
     */

    public void newMonth() {
	// do nothing
    }

}
