// joi/6/juno/NewfileCommand.java                         
//                                                            
//                                                            
// Copyright 2003, Ethan Bolker and Bill Campbell                         
                                                            
import java.util.*;

/**
 * The Juno shell command to create a text file.
 * Usage:
 * <pre>
 *     newfile filename contents
 * </pre>
 *
 * @version 6
 */

public class NewfileCommand extends ShellCommand 
{
    /**
     * Construct a NewfileCommand object.
     */

    public NewfileCommand() 
    {
        super( "create a new TextFile", "filename contents" );
    }

    /**
     * Create a new TextFile in the current Directory.
     *
     * @param args the remainder of the command line.
     * @param sh the current shell
     */

    public void doIt( StringTokenizer args, Shell sh )
    {
        String filename = args.nextToken();
        String contents = args.nextToken("").trim(); // rest of line
        new TextFile( filename, sh.getUser(), sh.getDot(), contents );
    }
}
