// joi/6/juno/TypeCommand.java                         
//                                                            
//                                                            
// Copyright 2003, Ethan Bolker and Bill Campbell                         
                                                            
import java.util.*;

/**
 * The Juno shell command to display the contents of a 
 * text file.
 * Usage:
 * <pre>
 *     type textfile
 * </pre>
 *
 * @version 6
 */

public class TypeCommand extends ShellCommand 
{
    /**
     * Construct a TypeCommand object.
     */

    TypeCommand() 
    {
        super( "display contents of a TextFile", "textfile" );
    }

    /**
     * Display the contents of a TextFile.
     *
     * @param args the reminder of the command line.
     * @param sh the current Shell
     */

    public void doIt( StringTokenizer args, Shell sh )
    {
        String filename = args.nextToken();
        sh.getConsole().println( 
            ( (TextFile) sh.getDot().
              retrieveJFile( filename ) ).getContents() );
    }
}
