// joi/7/juno/BadShellCommandException.java                         
//                                                            
//                                                            
// Copyright 2003 Ethan Bolker and Bill Campbell                         
                                                            
/**
 * The Exception generated when a ShellCommand is misused.
 *
 * @version 7
 */

class BadShellCommandException extends JunoException 
{
    private ShellCommand command;

    /**
     * Construct a new BadShellCommandException 
     * containing the badly used command.
     *
     * @param the ShellCommand being misused.
     */

    public BadShellCommandException( ShellCommand command ) 
    {
        this.command = command;
    }

    /**
     * Get the command.
     */

    public ShellCommand getCommand()
    {
        return command;
    }
}
