// joi/7/juno/LogoutCommand.java                         
//                                                            
//                                                            
// Copyright 2003, Bill Campbell and Ethan Bolker                         
                                                            
import java.util.*;

/**
 * The Juno shell command to log out.
 * Usage:
 * <pre>
 *     logout
 * </pre>
 *
 * @version 7
 */

public class LogoutCommand extends ShellCommand 
{
    LogoutCommand() 
    {
	super( "log out, return to login: prompt" );
    }

    /**
     * Log out from the current shell.
     *
     * @param args the remainder of the command line.
     * @param sh   the current shell
     *
     * @exception JunoException for reporting errors
     */

    public void doIt( StringTokenizer args, Shell sh )
	 throws JunoException 
    {
	throw new ExitShellException();
    }
}
