// joi/7/juno/User.java                         
//                                                            
//                                                            
// Copyright 2003 Ethan Bolker and Bill Campbell                         
                                                            
/**
 * Model a Juno user.  Each User has a login name,
 * a home directory, and a real name.
 *
 * @version 7
 */

public class User 
{
    private String name;     // the User's login name
    private Directory home;  // her home Directory
    private String realName; // her real name

    /**
     * Construct a new User.
     *
     * @param name     the User's login name.
     * @param home     her home Directory.
     * @param realName her real name.
     */

    public User( String name, Directory home, String realName ) 
    {
        this.name     = name;
        this.home     = home;
        this.realName = realName;
    }

    /**
     * Get the User's login name.
     *
     * @return the name.
     */

    public String getName()    
    {
        return name;
    }

    /**
     * Convert the User to a String.
     * The String representation for a User is her
     * login name.
     *
     * @return the User's name.
     */

    public String toString()   
    {
        return getName();
    }
    
    /**
     * Get the User's home Directory.
     *
     * @return the home Directory.
     */

    public Directory getHome() 
    {
        return home;
    }

    /**
     * Get the user's real name.
     *
     * @return the real name.
     */

    public String getRealName()
    {
        return realName;
    }
}
