// Example 4.3 ArrayListDemo.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
// Tell the java compiler that the ArrayList class is in
// the java.util part of the library.

import java.util.ArrayList; 

//  Exercise the most important parts of the ArrayList API.
//
// %> java ArrayListDemo
// Create a list containing three SimpleObjects.
// 0    zero
// 1    one
// 2    two
// Replace the object at position 0.
// Put a new object at 2 and push the rest along.
// Print out the list again.
// 0    new zero
// 1    one
// 2    one point five
// 3    two

public class ArrayListDemo 
{
    public static void main( String[] args ) 
    {
        System.out.println("Create a list containing three SimpleObjects.");

        // Create a new, empty ArrayList 
        // with the ArrayList constructor.
        ArrayList myList = new ArrayList();

        // Put three things on it with the add()
        // method - each add appends to the list.
        myList.add(new SimpleObject("zero"));
        myList.add(new SimpleObject("one"));
        myList.add(new SimpleObject("two"));

        // Print the list with a for loop.
        // size() method tells how long the list is.
        // get(int index) method retrieves value stored at position index
        // The (SimpleObject) cast tells Java what type of thing you got
        for (int i = 0; i < myList.size() ; i++ ) {
            SimpleObject foo = (SimpleObject)myList.get(i); 
            System.out.println(i + "\t" + foo.name);
        }

        // set(int index) method changes value stored at position index
        System.out.println("Replace the object at position 0.");
        myList.set(0, new SimpleObject("new zero"));

        System.out.println("Put a new object at 2 and push the rest along.");
        myList.add(2, new SimpleObject("one point five"));

        System.out.println("Print out the list again.");
        for (int i = 0; i < myList.size() ; i++ ) {
            SimpleObject foo = (SimpleObject)myList.get(i); // note cast!
            System.out.println(i + "\t" + foo.name);
        }
    }

    // This really simple class exists only to provide 
    // things to put in the ArrayList.
    //
    // It's an inner class, declared inside the ArrayListDemo 
    // class, which is its scope.
    //
    // Since it's visible only here, we are using a public
    // name field rather than a private field and a public
    // getName() 

    private static class SimpleObject 
    {
        public String name;
        
        public SimpleObject( String name ) 
        {
            this.name = name;
        }
    } // end of body of inner class SimpleObject
} // end of body of ArrayList Demo
