// Example 3.2 joi/examples/ForDemo.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
// A class illustrating the For-statement.  A typical run:
// 
// %> java ForDemo
// Enter integer: 7
// 7 integers starting at 0: 0 1 2 3 4 5 6
// First 7 Fibonacci numbers   (for): 1 1 2 3 5 8 13
// First 7 Fibonacci numbers (while): 1 1 2 3 5 8 13
// 49 @'s:
// @@@@@@@
// @@@@@@@
// @@@@@@@
// @@@@@@@
// @@@@@@@
// @@@@@@@
// @@@@@@@

public class ForDemo 
{
    public static void main( String[] args ) 
    {
        Terminal terminal = new Terminal();  // for input and output

        // Prompt for and read a single integer.
        int n = terminal.readInt( "Enter integer:" );

        terminal.print( n + " integers starting at 0:" );
        for ( int i = 0; i < n; i++ ) {
            terminal.print( " " + i );  // all one one line
        }
        terminal.println();             // the newline

        // Build Fibonacci numbers 1, 1, 2, 3, 5, 8, 
        // by adding last two together to make the next
        // Use three int variables and a loop:

        int thisOne, lastOne, nextOne;
        terminal.println( "First " + n + " Fibonacci numbers:" );

        terminal.print("(for):               " );
        thisOne = 1;
        lastOne = 1;
        for ( int i = 1; i <= n; i++ ) {
            terminal.print( " " + lastOne );
            nextOne = thisOne + lastOne;
            lastOne = thisOne;
            thisOne = nextOne;
        }
        terminal.println();

        // Since i is never used in the body of the previous loop 
        // we can count down to get the same output:
        terminal.print("(for, counting down):" );
        thisOne = 1;
        lastOne = 1;
        for ( int counter = n; counter > 0; counter-- ) {
            terminal.print( " " + lastOne );
            nextOne = thisOne + lastOne;
            lastOne = thisOne;
            thisOne = nextOne;
        }
        terminal.println();

        // Replace the for loop with a while loop
        terminal.print("(while):             " );
        thisOne = 1;
        lastOne = 1;
        int i = 1;
        while ( i <= n ) {
            terminal.print( " " + lastOne );
            nextOne = thisOne + lastOne;
            lastOne = thisOne;
            thisOne = nextOne;
            i++;  
        }
        terminal.println();

        terminal.println("Nested for loops: " + (n*n) + " @'s:" );
        for ( int row = 1; row <= n ; row++ ) {
            for ( int col = 1; col <= n; col++ ) {
                terminal.print( " @" );
            }
            terminal.println();
        }
    }
}
