// Example 5.2 joi/examples/OverridingDemo.java                         
//                                                            
//                                                            
// Copyright 2003 Bill Campbell and Ethan Bolker                         
                                                            
// Small program to illustrate overriding and toString()
// 
// Here's what the output looks like:
//
// %> java Overriding jessica benjamin
// Terminal t = new Terminal();
// nobj = new NamedObject( args[0] );
// nobj.toString():           jessica
// nobj:                      jessica
// nobj.toStringfromObject(): NamedObject@206fdf64
// nobj = new NamedObject( args[1] );
// nobj.toString():           benjamin
// nobj:                      benjamin
// nobj.toStringfromObject(): NamedObject@2103df64 
// 
// toString():                Terminal@201bdf64
// t:                         Terminal@201bdf64

public class OverridingDemo
{
    public static void main( String[] args )   
    {
        Terminal t = new Terminal();
        NamedObject nobj;

        t.println("Terminal t = new Terminal();");
        t.println("nobj = new NamedObject( args[0] );");
        nobj = new NamedObject( args[0] );
        t.println( "nobj.toString():           " + nobj.toString() );
        t.println( "nobj:                      " + nobj );
        t.println( "nobj.toStringfromObject(): " + 
                   nobj.toStringfromObject());

        t.println("nobj = new NamedObject( args[1] );");
        nobj = new NamedObject( args[1] );
        t.println( "nobj.toString():           " + nobj.toString() );
        t.println( "nobj:                      " + nobj );
        t.println( "nobj.toStringfromObject(): " + 
                   nobj.toStringfromObject());

        t.println( "\ntoString():                " + t.toString() );
        t.println( "t:                         " + t );
    } 
}

// A simple class whose instances have one field 
// and several toString methods. Visible only inside
// the OverridingDemo class.

// you can put two classes in one file as long as only one of them
// is public

class NamedObject // extends Object, by default 
{  
    private String name;
        
    // constructor does the obvious thing

    public NamedObject( String name ) 
    {
        this.name = name;
    }

    // override toString in class Object     

    public String toString()
    {
        return name;
    }
        
    // access to the overridden method using super

    public String toStringfromObject() 
    {
        return super.toString();
    }
}
