     1	// joi/10/juno/RemoveCommand.java                         
     2	//                                                            
     3	//                                                            
     4	// Copyright 2003, Bill Campbell and Ethan Bolker                         
     5	                                                            
     6	import java.util.*;
     7	
     8	/**
     9	 * The Juno shell command to remove a text file.
    10	 * Usage:
    11	 * <pre>
    12	 *     remove textfile
    13	 * </pre>
    14	 *
    15	 * @version 10
    16	 */
    17	
    18	public class RemoveCommand extends ShellCommand 
    19	{
    20	    RemoveCommand() 
    21	    {
    22		super( "remove a TextFile", "textfile" );
    23	    }
    24	
    25	    /**
    26	     * Remove a TextFile.
    27	     *
    28	     * @param args the remainder of the command line.
    29	     * @param sh   the current Shell
    30	     *
    31	     * @exception JunoException for reporting errors
    32	     */
    33	
    34	    public void doIt( StringTokenizer args, Shell sh )
    35		 throws JunoException 
    36	    {
    37		String filename = args.nextToken();
    38		sh.getDot().removeJFile(filename);
    39	    }
    40	}
    41	
