     1	// joi/10/juno/OutputInterface.java                         
     2	//                                                            
     3	//                                                            
     4	// Copyright 2003 Ethan Bolker and Bill Campbell                         
     5	                                                            
     6	/**
     7	 *  All Juno consoles use the same abstract methods 
     8	 *  for output, so they are specified here. 
     9	 */
    10	
    11	public interface OutputInterface 
    12	{
    13	    /**
    14	     * Write a String followed by a newline
    15	     * to console output location.
    16	     *
    17	     * @param str - the string to write
    18	     */
    19	
    20	    public void println(String str );
    21	    
    22	    /**
    23	     * Write a String followed by a newline
    24	     * to console error output location.
    25	     *
    26	     * @param str - the String to write
    27	     */
    28	
    29	    public void errPrintln( String str );
    30	    
    31	    /**
    32	     * Query what kind of console this is.
    33	     *
    34	     * @return true if and only if echoing input.
    35	     */
    36	
    37	    public boolean isEchoInput();
    38	    
    39	    /**
    40	     * Query what kind of console this is.
    41	     *
    42	     * @return true if and only if GUI
    43	     */
    44	
    45	    public boolean isGUI();
    46	
    47	    /**
    48	     * Query what kind of console this is.
    49	     *
    50	     * @return true if and only if remote
    51	     */
    52	
    53	    public boolean isRemote();
    54	}
    55	
